> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# jira-servicedesk-projects

> Service desk projects

**Server path:** `/jira-servicedesk-projects` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                    | Description                    |
| ----------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| [`jira-servicedesk-projects_check_request_type_permissions`](#jira-servicedesk-projects_check_request_type_permissions) | Check request type permissions |
| [`jira-servicedesk-projects_get_all_request_types`](#jira-servicedesk-projects_get_all_request_types)                   | Get all request types          |
| [`jira-servicedesk-projects_get_articles`](#jira-servicedesk-projects_get_articles)                                     | Get articles                   |
| [`jira-servicedesk-projects_get_info`](#jira-servicedesk-projects_get_info)                                             | Get info                       |
| [`jira-servicedesk-projects_get_request_type_by_id`](#jira-servicedesk-projects_get_request_type_by_id)                 | Get request type by id         |
| [`jira-servicedesk-projects_get_request_type_fields`](#jira-servicedesk-projects_get_request_type_fields)               | Get request type fields        |
| [`jira-servicedesk-projects_get_request_type_groups`](#jira-servicedesk-projects_get_request_type_groups)               | Get request type groups        |
| [`jira-servicedesk-projects_get_request_types`](#jira-servicedesk-projects_get_request_types)                           | Get request types              |
| [`jira-servicedesk-projects_get_service_desk_by_id`](#jira-servicedesk-projects_get_service_desk_by_id)                 | Get service desk by id         |
| [`jira-servicedesk-projects_get_service_desks`](#jira-servicedesk-projects_get_service_desks)                           | Get service desks              |
| [`jira-servicedesk-projects_view_article`](#jira-servicedesk-projects_view_article)                                     | View knowledge base article    |

***

## jira-servicedesk-projects\_check\_request\_type\_permissions

Check request type permissions

**Parameters:**

| Parameter        | Type       | Required | Default | Description                    |
| ---------------- | ---------- | -------- | ------- | ------------------------------ |
| `serviceDeskId`  | string     | Yes      | —       | Service Desk Id                |
| `accountId`      | string     | No       | —       | The account ID of a user.      |
| `permissions`    | string\[]  | Yes      | —       | List of requested permissions. |
| `requestTypeIds` | integer\[] | No       | —       | List of request type IDs.      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "serviceDeskId": {
        "type": "string",
        "description": "Service Desk Id"
      },
      "accountId": {
        "type": "string",
        "description": "The account ID of a user."
      },
      "permissions": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "canCreateRequest",
            "canAdminister"
          ]
        },
        "description": "List of requested permissions."
      },
      "requestTypeIds": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "List of request type IDs."
      }
    },
    "required": [
      "PCID",
      "serviceDeskId",
      "permissions"
    ]
  }
  ```
</Expandable>

***

## jira-servicedesk-projects\_get\_all\_request\_types

Get all request types

**Parameters:**

| Parameter                           | Type       | Required | Default | Description                                                                                                                                                                                                           |
| ----------------------------------- | ---------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `searchQuery`                       | string     | No       | —       | String to be used to filter the results.                                                                                                                                                                              |
| `serviceDeskId`                     | integer\[] | No       | —       | Filter the request types by service desk Ids provided. Multiple values of the query parameter are supported. For example, `serviceDeskId=1&serviceDeskId=2` will return request types only for service desks 1 and 2. |
| `start`                             | integer    | No       | —       | The starting index of the returned objects. Base index: 0. See the Pagination section for more details.                                                                                                               |
| `limit`                             | integer    | No       | —       | The maximum number of items to return per page. Default: 50. See the Pagination section for more details.                                                                                                             |
| `expand`                            | string\[]  | No       | —       | Related resources to expand inline                                                                                                                                                                                    |
| `includeHiddenRequestTypesInSearch` | boolean    | No       | —       | Whether to include hidden request types when searching with `searchQuery`.                                                                                                                                            |
| `restrictionStatus`                 | string     | No       | —       | Request type restriction status (`open` or `restricted`) used to filter the results.                                                                                                                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "searchQuery": {
        "type": "string",
        "description": "String to be used to filter the results."
      },
      "serviceDeskId": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "Filter the request types by service desk Ids provided. Multiple values of the query parameter are supported. For example, `serviceDeskId=1&serviceDeskId=2` will return request types only for service desks 1 and 2."
      },
      "start": {
        "type": "integer",
        "description": "The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details."
      },
      "limit": {
        "type": "integer",
        "description": "The maximum number of items to return per page. Default: 50. See the [Pagination](#pagination) section for more details."
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "includeHiddenRequestTypesInSearch": {
        "type": "boolean",
        "description": "Whether to include hidden request types when searching with `searchQuery`."
      },
      "restrictionStatus": {
        "type": "string",
        "description": "Request type restriction status (`open` or `restricted`) used to filter the results."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## jira-servicedesk-projects\_get\_articles

Get articles

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                                                                                 |
| ----------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| `query`     | string  | Yes      | —       | The string used to filter the articles (required).                                                                                          |
| `highlight` | boolean | Yes      | —       | If set to true matching query term in the title and excerpt will be highlighted using the `@@@hl@@@term@@@endhl@@@` syntax. Default: false. |
| `start`     | integer | No       | —       | (Deprecated) The starting index of the returned objects. Base index: 0.                                                                     |
| `limit`     | integer | No       | —       | The maximum number of items to return per page. Default: 50.                                                                                |
| `cursor`    | string  | No       | —       | Pointer to a set of search results, returned as part of the next or prev URL from the previous search call.                                 |
| `prev`      | boolean | No       | —       | Should navigate to the previous page. Defaulted to false. Set to true as part of prev URL from the previous search call.                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "query": {
        "type": "string",
        "description": "The string used to filter the articles (required)."
      },
      "highlight": {
        "type": "boolean",
        "description": "If set to true matching query term in the title and excerpt will be highlighted using the `@@@hl@@@term@@@endhl@@@` syntax. Default: false."
      },
      "start": {
        "type": "integer",
        "description": "(Deprecated) The starting index of the returned objects. Base index: 0."
      },
      "limit": {
        "type": "integer",
        "description": "The maximum number of items to return per page. Default: 50."
      },
      "cursor": {
        "type": "string",
        "description": "Pointer to a set of search results, returned as part of the next or prev URL from the previous search call."
      },
      "prev": {
        "type": "boolean",
        "description": "Should navigate to the previous page. Defaulted to false. Set to true as part of prev URL from the previous search call."
      }
    },
    "required": [
      "PCID",
      "query",
      "highlight"
    ]
  }
  ```
</Expandable>

***

## jira-servicedesk-projects\_get\_info

Get info

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## jira-servicedesk-projects\_get\_request\_type\_by\_id

Get request type by id

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                               |
| --------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------- |
| `serviceDeskId` | string    | Yes      | —       | The ID of the service desk whose customer request type is to be returned. This can alternatively be a project identifier. |
| `requestTypeId` | string    | Yes      | —       | The ID of the customer request type to be returned.                                                                       |
| `expand`        | string\[] | No       | —       | Related resources to expand inline                                                                                        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "serviceDeskId": {
        "type": "string",
        "description": "The ID of the service desk whose customer request type is to be returned. This can alternatively be a [project identifier.](#project-identifiers)"
      },
      "requestTypeId": {
        "type": "string",
        "description": "The ID of the customer request type to be returned."
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "serviceDeskId",
      "requestTypeId"
    ]
  }
  ```
</Expandable>

***

## jira-servicedesk-projects\_get\_request\_type\_fields

Get request type fields

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                      |
| --------------- | --------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `serviceDeskId` | string    | Yes      | —       | The ID of the service desk containing the request types whose fields are to be returned. This can alternatively be a project identifier.                         |
| `requestTypeId` | integer   | Yes      | —       | The ID of the request types whose fields are to be returned.                                                                                                     |
| `expand`        | string\[] | No       | —       | Use expand to include additional information in the response. This parameter accepts `hiddenFields` that returns hidden fields associated with the request type. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "serviceDeskId": {
        "type": "string",
        "description": "The ID of the service desk containing the request types whose fields are to be returned. This can alternatively be a [project identifier.](#project-identifiers)"
      },
      "requestTypeId": {
        "type": "integer",
        "description": "The ID of the request types whose fields are to be returned."
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Use [expand](#expansion) to include additional information in the response. This parameter accepts `hiddenFields` that returns hidden fields associated with the request type."
      }
    },
    "required": [
      "PCID",
      "serviceDeskId",
      "requestTypeId"
    ]
  }
  ```
</Expandable>

***

## jira-servicedesk-projects\_get\_request\_type\_groups

Get request type groups

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                       |
| --------------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------- |
| `serviceDeskId` | string  | Yes      | —       | The ID of the service desk whose customer request type groups are to be returned. This can alternatively be a project identifier. |
| `start`         | integer | No       | —       | The starting index of the returned objects. Base index: 0. See the Pagination section for more details.                           |
| `limit`         | integer | No       | —       | The maximum number of items to return per page. Default: 50. See the Pagination section for more details.                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "serviceDeskId": {
        "type": "string",
        "description": "The ID of the service desk whose customer request type groups are to be returned. This can alternatively be a [project identifier.](#project-identifiers)"
      },
      "start": {
        "type": "integer",
        "description": "The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details."
      },
      "limit": {
        "type": "integer",
        "description": "The maximum number of items to return per page. Default: 50. See the [Pagination](#pagination) section for more details."
      }
    },
    "required": [
      "PCID",
      "serviceDeskId"
    ]
  }
  ```
</Expandable>

***

## jira-servicedesk-projects\_get\_request\_types

Get request types

**Parameters:**

| Parameter                           | Type      | Required | Default | Description                                                                                                                 |
| ----------------------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------- |
| `serviceDeskId`                     | string    | Yes      | —       | The ID of the service desk whose customer request types are to be returned. This can alternatively be a project identifier. |
| `groupId`                           | integer   | No       | —       | Filters results to those in a customer request type group.                                                                  |
| `expand`                            | string\[] | No       | —       | Related resources to expand inline                                                                                          |
| `searchQuery`                       | string    | No       | —       | The string to be used to filter the results.                                                                                |
| `start`                             | integer   | No       | —       | The starting index of the returned objects. Base index: 0. See the Pagination section for more details.                     |
| `limit`                             | integer   | No       | —       | The maximum number of items to return per page. Default: 50. See the Pagination section for more details.                   |
| `includeHiddenRequestTypesInSearch` | boolean   | No       | —       | Whether to include hidden request types when searching with `searchQuery`.                                                  |
| `restrictionStatus`                 | string    | No       | —       | Request type restriction status (`open` or `restricted`) used to filter the results.                                        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "serviceDeskId": {
        "type": "string",
        "description": "The ID of the service desk whose customer request types are to be returned. This can alternatively be a [project identifier.](#project-identifiers)"
      },
      "groupId": {
        "type": "integer",
        "description": "Filters results to those in a customer request type group."
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "searchQuery": {
        "type": "string",
        "description": "The string to be used to filter the results."
      },
      "start": {
        "type": "integer",
        "description": "The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details."
      },
      "limit": {
        "type": "integer",
        "description": "The maximum number of items to return per page. Default: 50. See the [Pagination](#pagination) section for more details."
      },
      "includeHiddenRequestTypesInSearch": {
        "type": "boolean",
        "description": "Whether to include hidden request types when searching with `searchQuery`."
      },
      "restrictionStatus": {
        "type": "string",
        "description": "Request type restriction status (`open` or `restricted`) used to filter the results."
      }
    },
    "required": [
      "PCID",
      "serviceDeskId"
    ]
  }
  ```
</Expandable>

***

## jira-servicedesk-projects\_get\_service\_desk\_by\_id

Get service desk by id

**Parameters:**

| Parameter       | Type   | Required | Default | Description                                                                           |
| --------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------- |
| `serviceDeskId` | string | Yes      | —       | The ID of the service desk to return. This can alternatively be a project identifier. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "serviceDeskId": {
        "type": "string",
        "description": "The ID of the service desk to return. This can alternatively be a [project identifier.](#project-identifiers)"
      }
    },
    "required": [
      "PCID",
      "serviceDeskId"
    ]
  }
  ```
</Expandable>

***

## jira-servicedesk-projects\_get\_service\_desks

Get service desks

**Parameters:**

| Parameter | Type    | Required | Default | Description                                                                                               |
| --------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------- |
| `start`   | integer | No       | —       | The starting index of the returned objects. Base index: 0. See the Pagination section for more details.   |
| `limit`   | integer | No       | —       | The maximum number of items to return per page. Default: 50. See the Pagination section for more details. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "start": {
        "type": "integer",
        "description": "The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details."
      },
      "limit": {
        "type": "integer",
        "description": "The maximum number of items to return per page. Default: 50. See the [Pagination](#pagination) section for more details."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## jira-servicedesk-projects\_view\_article

View knowledge base article

**Parameters:**

| Parameter | Type    | Required | Default | Description |
| --------- | ------- | -------- | ------- | ----------- |
| `pageId`  | integer | Yes      | —       | Page Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "pageId": {
        "type": "integer",
        "description": "Page Id"
      }
    },
    "required": [
      "PCID",
      "pageId"
    ]
  }
  ```
</Expandable>
